package com.iformall.enums;

public enum EnumAgeInfo {
   FIRST_SLOT(1,0,18,"18岁以下"),
   SECOND_SLOT(2,18,24,"18-24岁"),
   THIRD_SLOT(3,25,34,"25-34岁"),
   FOURTH_SLOT(4,35,44,"35-44岁"),
   FIFTH_SLOT(5,45,54,"45-54岁"),
   SIXTH_SLOT(6,54,60,"55-60岁"),
   SEVENTH_SLOT(7,60,200,"60岁以上"),
	UNKNOWN(8,0,0,"不详")
   ;
	
	private EnumAgeInfo(Integer sortNum,Integer start,Integer end,String desc) {
		this.sortNum =sortNum;
		this.start=start;
		this.end = end;
		this.desc =desc;
	}
	private Integer sortNum;
	
	private Integer start;
	
	private Integer end;
	
	private String desc;

	public Integer getStart() {
		return start;
	}

	public void setStart(Integer start) {
		this.start = start;
	}

	public Integer getEnd() {
		return end;
	}

	public void setEnd(Integer end) {
		this.end = end;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public Integer getSortNum() {
		return sortNum;
	}

	public void setSortNum(Integer sortNum) {
		this.sortNum = sortNum;
	}
	
}
